<?
$config = Zend_Registry::get('mobile_config');
$config = $config['photos'];

$this->has_package = $this->escort->hasProduct(1);

$pages_count = ceil($this->photoCount / $config['perPage']);

$uri = $_SERVER['REQUEST_URI'];
$pos = strpos($uri, '?page=');
$pagerPrefix = "?page=";
if ($pos !== FALSE) {
    $uri = substr($uri, 0, $pos);
    $pagerPrefix = "?page=";
} elseif (strpos($uri, '?')) {
    $pos = strpos($uri, '&page=');
    if ($pos !== FALSE) {
        $uri = substr($uri, 0, $pos);
    }

    $pagerPrefix = "&page=";
}

$uri = preg_replace('#^en/#', '', $uri);

$phone = ( isset($this->escort->phone_country_id) && $this->escort->phone_country_id != 1 ) ? '+'.Model_Countries::getPhonePrefixById($this->escort->phone_country_id) ." ". $this->escort->phone_number : $this->escort->phone_number;
//$phone = preg_replace('#^\+#', '', $this->escort->phone_number);



?>

<? $disabled_rev = (isset($this->escort->disabled_reviews) &&  $this->escort->disabled_reviews == 1) ? true : false; ?>

<? if(isset($this->escort->cam_status) && in_array($this->escort->cam_status , array("away", "free", "spy-only", "private") ) ): ?>
	<? $cam_channel_url = $this->getLink('cams').$this->escort->cam_channel_url ?>
    <? if( $this->escort->cam_status == 'free' ): ?>
         <?
			$sys = Zend_Registry::get('system_config');
			$cam_img = $sys['cams']['url'] . $this->escort->cam_preview_url.'?t='.date("s");
		?>
        <div id="cam-block">
            <div class="cam-pic" style="background-image: url(<?= $cam_img ?>)">
                <div class="info-bar">
                    <div class="dot"></div>
                    <div class="showname"><?= __('escort_is_live_now', array('showname'=> $this->about->showname)) ?></div>
                    <a href="<?= $cam_channel_url ?>"><div class="button"><?= __('see_my_cam') ?></div></a>
                </div>
            </div>
        </div>
    <? else: ?>
         <div id="cam-block">
            <div class="cam-pic" style="background-image: url(<?= $this->photos[0]->getUrl('m560', true) ?>)">
                <div class="info-bar">
                    <div class="dot"></div>
                    <div class="showname"><?= $this->about->showname. ' '.__('is').$this->escort->cam_status ?></div>
                    <a href="<?= $cam_channel_url ?>"><div class="button"><?= __('see_my_cam') ?></div></a>
                </div>
            </div>
        </div>
    <? endif; ?>


    <div class="some-space"></div>
<? endif; ?>


<script type="text/javascript">

    function RemoveClassName(objElement, strClass){
        if ( objElement ){
            if ( objElement.className )
            {
                var arrList = objElement.className.split(' ');
                var strClassUpper = strClass.toUpperCase();
                for ( var i = 0; i < arrList.length; i++ )
                {
                    if ( arrList[i].toUpperCase() == strClassUpper )
                    {
                        arrList.splice(i, 1);
                        i--;
                    }
                }
                objElement.className = arrList.join(' ');
            }
        }
    }

    function AddClassName(objElement, strClass, blnMayAlreadyExist)
    {


        if ( objElement ){
            if ( objElement.className )
            {
                var arrList = objElement.className.split(' ');
                if ( blnMayAlreadyExist )
                {
                    var strClassUpper = strClass.toUpperCase();
                    for ( var i = 0; i < arrList.length; i++ )
                    {
                        if ( arrList[i].toUpperCase() == strClassUpper )
                        {
                            arrList.splice(i, 1);
                            i--;
                        }
                    }
                }
                arrList[arrList.length] = strClass;
                objElement.className = arrList.join(' ');
            }
            else
            {
                objElement.className = strClass;
            }
        }
    }

    function in_array (needle, haystack, argStrict) {
        var key = '',        strict = !! argStrict;

        if (strict) {
            for (key in haystack) {
                if (haystack[key] === needle) {                return true;
                }
            }
        } else {
            for (key in haystack) {            if (haystack[key] == needle) {
                return true;
            }
            }
        }
        return false;
    }


    function hideAll(){
        AddClassName(window.document.getElementById("bio_container"), 'none', true);
        AddClassName(window.document.getElementById("services_container"), 'none', true);
        AddClassName(window.document.getElementById("rates_container"), 'none', true);
        AddClassName(window.document.getElementById("contacts_container"), 'none', true);
    }


    function setHash2 (hash) {
        window.location.hash = hash;

    }

    function showTab(name, setHash){
        var elem = document.getElementById('menu').getElementsByTagName('li');
        var footer_elements = document.getElementById('footer-menu').getElementsByTagName('a');

        for(var i = 0; i < elem.length; i++)
        {
            RemoveClassName(elem[i], 'active');
            AddClassName(elem[i], 'passive', true);
        }

        for(var i = 0; i < footer_elements.length; i++)
        {
            RemoveClassName(footer_elements[i], 'active');
            AddClassName(footer_elements[i], 'passive', true);
        }

        RemoveClassName(window.document.getElementById("t_"+name), 'passive');
        AddClassName(window.document.getElementById("t_"+name), 'active', true);

        RemoveClassName(window.document.getElementById("f_"+name), 'passive');
        AddClassName(window.document.getElementById("f_"+name), 'active', true);

        hideAll();

        RemoveClassName(window.document.getElementById(name+"_container"), 'none');
        if ( !setHash ){
            setHash(name);
        }

    }

    function getHash (){
        return window.location.hash;
    }

    function setHash (hash) {
        window.location.hash = hash;
    }

    function loadFromHash(){
        if ( getHash() ){
            var hash = getHash();
            var urlHash = /#(.*)$/.exec(hash);
            var tabName = urlHash[1];
            if ( in_array( tabName, ['bio','contacts', 'services', 'rates']) ){
                showTab(tabName);
            }else{
                showTab('bio');
            }
        }else{
            showTab('bio', true);
        }
    }

    function show ( id, obj ){
        RemoveClassName(window.document.getElementById("comment_"+id), 'none');
        AddClassName(obj, 'none', true);
    }

    function hide ( id ){
        AddClassName(window.document.getElementById("comment_"+id), 'none', true);
    }


</script>

<div class="top-row">
    <div class="fl">
        <span class="showname fl"><?= $this->escort->showname ?></span>
        <? if ($this->isFavorite): ?>
            <a href="<?= $this->getLink('remove-from-favorites', array('escort_id' => $this->escort->id)); ?>" class="favourites-button remove"></a>
        <? else: ?>
            <a href="<?= $this->getLink('add-to-favorites', array('escort_id' => $this->escort->id)); ?>" class="favourites-button add"></a>
        <? endif; ?>
    </div>

    <? if ( $this->has_package && $this->escort->show_phone !== 2): //&& !$this->video_chat_prices ?>
        <div class="fr">
            <? if ($this->escort->phone_number):

                $filtered_phone = Model_EscortsV2::formatPhoneNumber([
                    phone_country_id     => $this->escort->phone_country_id,
                    disable_phone_prefix => $this->escort->disable_phone_prefix,
                    phone_number         => $this->escort->phone_number,
                ]);

                $original_phone = '+'.Model_Countries::getPhonePrefixById($this->escort->phone_country_id) .  ltrim($this->escort->phone_number, Model_Countries::getPhoneNddPrefixById($this->escort->phone_country_id) );
                $viber_phone =  Model_Countries::getPhonePrefixById($this->escort->phone_country_id) .  ltrim($this->escort->phone_number, Model_Countries::getPhoneNddPrefixById($this->escort->phone_country_id) ) ;
                ?>

                <b class="phone-number"><a href="tel:<?= $original_phone ?>" onclick="ga('send', 'event', 'PhoneCall', 'tap');">
                        <?= $filtered_phone ?></a> </b>
                <?php
                $has_viber= $this->phone_apps->viber;
                $has_whatsapp = $this->phone_apps->whatsapp;
                $has_telegram = $this->phone_apps->telegram;
                ?>

                <?php if ($has_viber): ?>
					<a href="viber://chat?number=%2B<?= $viber_phone ?>" class="available_apps_link">
						<span class="icon--viber"></span>
					</a>
				<?php endif; ?>

                <?php if ($has_whatsapp): ?>
                    <a href="https://wa.me/<?= str_replace(['+', ' '], '', $original_phone ) ?>?text=Hallo <?= $this->escort->showname ?>, ich habe dein Inserat auf and6.com gesehen.">
					   <span class="icon--whatsapp"></span>
					</a>
				<?php endif; ?>

                <?php if ($has_telegram): ?>
					<a href="#" class="available_apps_link">
						<span class="icon--telegram"></span>
					</a>
				<?php endif; ?>

            <? endif; ?>
        </div>

		<?php/* if ($this->escort->skype_id): ?>
			<div class="clear"></div>
			<a href="#" class="skype-details">
				<span class="icon--skype"><?= $this->escort->skype_id ?></span>
			</a>
		<?php endif;*/ ?>
    <? endif; ?>
    <div class="clear"></div>
</div>

<?php
$model = new Model_EscortsV2();
$escort_user_id = $model->getUserId($this->escort->id);
// echo $escort_user_id, $this->escort->id;
//$online_status = Model_Users::isOnlineNow($escort_user_id, $this->escort->id);
?>
<?php if ( $this->allowChat2() && $online_status ): ?>
    <table>
        <tr>
            <td>
                <?php if (Model_Users::getCurrent()): ?>
                    <a href="javascript:;" onClick="chat.chatWith('<?= $escort_user_id ?>');" class="<?= $this->lang() ?>_chat_with_me"></a>
                <?php else: ?>
                    <a href="#" class="<?= $this->lang() ?>_chat_with_me chat_login"></a>
                <?php endif; ?>
            </td>
        </tr>
    </table>
<?php endif; ?>

